; ..............................................................................
;    File   IIR_BP_100.s
; ..............................................................................

		.equ IIR_BP_100NumSections, 4

; ..............................................................................
; Allocate and initialize filter coefficients
;
; These coefficients have been designed for use in the Canonic filter only

        .section .IIR_BP_100const, code ;<-Syntax supported in MPLAB C30
                                                 ;v1.30 and later
        .align 128

IIR_BP_100Coefs:
.hword	0xC2B2	; a( 1,2)/2
.hword	0x7C90	; a( 1,1)/2
.hword	0xFEC2	; b( 1,2)/2
.hword	0x0000	; b( 1,1)/2
.hword	0x013E	; b( 1,0)/2
.hword	0xC24A	; a( 2,2)/2
.hword	0x7D2E	; a( 2,1)/2
.hword	0xFED1	; b( 2,2)/2
.hword	0x0000	; b( 2,1)/2
.hword	0x012F	; b( 2,0)/2
.hword	0xC13F	; a( 3,2)/2
.hword	0x7DD0	; a( 3,1)/2
.hword	0xFE97	; b( 3,2)/2
.hword	0x0000	; b( 3,1)/2
.hword	0x0169	; b( 3,0)/2
.hword	0xC0D8	; a( 4,2)/2
.hword	0x7EB8	; a( 4,1)/2
.hword	0xA5B2	; b( 4,2)/8
.hword	0x0000	; b( 4,1)/8
.hword	0x5A4E	; b( 4,0)/8

; ..............................................................................
; Allocate states buffer in (uninitialized) Y data space

        .section .ydata, data, ymemory  ;<-Syntax supported in MPLAB C30
                                        ;v1.30 and later
        .align 128

IIR_BP_100States:
		.space IIR_BP_100NumSections*2*2

; ..............................................................................
; Allocate and intialize filter structure

		.section .data
		.global _IIR_BP_100Filter

_IIR_BP_100Filter:
.hword IIR_BP_100NumSections-1
.hword psvoffset(IIR_BP_100Coefs)
.hword psvpage(IIR_BP_100Coefs)
.hword IIR_BP_100States
.hword 0x0049
.hword 0xFFFE

; ..............................................................................
