; ..............................................................................
;    File   IIR_BP_10K.s
; ..............................................................................

		.equ IIR_BP_10KNumSections, 4

; ..............................................................................
; Allocate and initialize filter coefficients
;
; These coefficients have been designed for use in the Canonic filter only

        .section .IIR_BP_10Kconst, code ;<-Syntax supported in MPLAB C30
                                                 ;v1.30 and later
        .align 128

IIR_BP_10KCoefs:
.hword	0xC4F0	; a( 1,2)/2
.hword	0x625C	; a( 1,1)/2
.hword	0xFD4B	; b( 1,2)/2
.hword	0x0000	; b( 1,1)/2
.hword	0x02B5	; b( 1,0)/2
.hword	0xC4BA	; a( 2,2)/2
.hword	0x64E2	; a( 2,1)/2
.hword	0xFE34	; b( 2,2)/2
.hword	0x0000	; b( 2,1)/2
.hword	0x01CC	; b( 2,0)/2
.hword	0xC227	; a( 3,2)/2
.hword	0x62C1	; a( 3,1)/2
.hword	0xFC24	; b( 3,2)/2
.hword	0x0000	; b( 3,1)/2
.hword	0x03DC	; b( 3,0)/2
.hword	0xC1F0	; a( 4,2)/2
.hword	0x68BE	; a( 4,1)/2
.hword	0xC803	; b( 4,2)/2
.hword	0x0000	; b( 4,1)/2
.hword	0x37FD	; b( 4,0)/2

; ..............................................................................
; Allocate states buffer in (uninitialized) Y data space

        .section .ydata, data, ymemory  ;<-Syntax supported in MPLAB C30
                                        ;v1.30 and later
        .align 128

IIR_BP_10KStates:
		.space IIR_BP_10KNumSections*2*2

; ..............................................................................
; Allocate and intialize filter structure

		.section .data
		.global _IIR_BP_10KFilter

_IIR_BP_10KFilter:
.hword IIR_BP_10KNumSections-1
.hword psvoffset(IIR_BP_10KCoefs)
.hword psvpage(IIR_BP_10KCoefs)
.hword IIR_BP_10KStates
.hword 0x02F6
.hword 0x0000

; ..............................................................................
