; ..............................................................................
;    File   IIR_BP_1K.s
; ..............................................................................

		.equ IIR_BP_1KNumSections, 4

; ..............................................................................
; Allocate and initialize filter coefficients
;
; These coefficients have been designed for use in the Canonic filter only

        .section .IIR_BP_1Kconst, code ;<-Syntax supported in MPLAB C30
                                                 ;v1.30 and later
        .align 128

IIR_BP_1KCoefs:
.hword	0xCC08	; a( 1,2)/2
.hword	0x61D2	; a( 1,1)/2
.hword	0xFA2D	; b( 1,2)/2
.hword	0x0000	; b( 1,1)/2
.hword	0x05D3	; b( 1,0)/2
.hword	0xCA94	; a( 2,2)/2
.hword	0x67E0	; a( 2,1)/2
.hword	0xFAC1	; b( 2,2)/2
.hword	0x0000	; b( 2,1)/2
.hword	0x053F	; b( 2,0)/2
.hword	0xC5AE	; a( 3,2)/2
.hword	0x62DB	; a( 3,1)/2
.hword	0xF8CE	; b( 3,2)/2
.hword	0x0000	; b( 3,1)/2
.hword	0x0732	; b( 3,0)/2
.hword	0xC41F	; a( 4,2)/2
.hword	0x704F	; a( 4,1)/2
.hword	0xB91E	; b( 4,2)/2
.hword	0x0000	; b( 4,1)/2
.hword	0x46E2	; b( 4,0)/2

; ..............................................................................
; Allocate states buffer in (uninitialized) Y data space

        .section .ydata, data, ymemory  ;<-Syntax supported in MPLAB C30
                                        ;v1.30 and later
        .align 128

IIR_BP_1KStates:
		.space IIR_BP_1KNumSections*2*2

; ..............................................................................
; Allocate and intialize filter structure

		.section .data
		.global _IIR_BP_1KFilter

_IIR_BP_1KFilter:
.hword IIR_BP_1KNumSections-1
.hword psvoffset(IIR_BP_1KCoefs)
.hword psvpage(IIR_BP_1KCoefs)
.hword IIR_BP_1KStates
.hword 0x065F
.hword 0x0000

; ..............................................................................
