/**********************************************************************
*  2007 Miguel Rusch - MigDevelopments.
*
* FileName:        LCR METER INIT.h
* Processor:       dsPIC30F2010
* Compiler:        MPLAB C30 v1.33.00 or higher
* IDE:             MPLAB IDE v7.20.01 or later
* Dev. Board Used: dsPICDEM 1.1 Development Board
* Hardware Dependencies: None
*
* SOFTWARE IS PROVIDED AS IS.  MIGDEVELOPMENTS EXPRESSLY DISCLAIMS ANY
* WARRANTY OF ANY KIND, WHETHER EXPRESS OR IMPLIED, INCLUDING BUT NOT
* LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
* PARTICULAR PURPOSE, OR NON-INFRINGEMENT. IN NO EVENT SHALL MICROCHIP
* BE LIABLE FOR ANY INCIDENTAL, SPECIAL, INDIRECT OR CONSEQUENTIAL
* DAMAGES, LOST PROFITS OR LOST DATA, HARM TO YOUR EQUIPMENT, COST OF
* PROCUREMENT OF SUBSTITUTE GOODS, TECHNOLOGY OR SERVICES, ANY CLAIMS
* BY THIRD PARTIES (INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF),
* ANY CLAIMS FOR INDEMNITY OR CONTRIBUTION, OR OTHER SIMILAR COSTS.
*
* REVISION HISTORY:
*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
* Author            Date      Comments on this revision
*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
* MR              8/10/07   First release of source file
*
*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*
* ADDITIONAL NOTES:
*
* Initialisation File For DSP LCR METER
*
**********************************************************************/

void init_SPI();
/* Initialize SPI Module
/*****************************************************************************/

void init_PWM();
/* Initialize PWM Module
/*****************************************************************************/

void init_LCD_PINS();
/* Initialize PINS for LCD
/*****************************************************************************/

void init_ANALOG();
/* Initialize General Analog Setup
/*****************************************************************************/

void set_ANALOG_BUTTON();
/* Initialize Button Input Analog Setup
/*****************************************************************************/

void set_ANALOG_OFFSET();
/* Initialize Offset Calibration Analog Setup
/*****************************************************************************/

void set_ANALOG_LCR();
/* Initialize LCR Reading Analog Setup
/*****************************************************************************/

void init_PGA_SW_PINS();
/* Initialize I/O Pins For PGA Switch
/*****************************************************************************/
