/**********************************************************************
*  2007 Miguel Rusch - MigDevelopments.
*
* FileName:        SPI MCP POT.c
* Dependencies:    Header (.h) files if applicable, see below
* Processor:       dsPIC30F2010
* Compiler:        MPLAB C30 v1.33.00 or higher
* IDE:             MPLAB IDE v7.20.01 or later
* Dev. Board Used: dsPICDEM 1.1 Development Board
* Hardware Dependencies: None
*
* SOFTWARE IS PROVIDED AS IS.  MIGDEVELOPMENTS EXPRESSLY DISCLAIMS ANY
* WARRANTY OF ANY KIND, WHETHER EXPRESS OR IMPLIED, INCLUDING BUT NOT
* LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
* PARTICULAR PURPOSE, OR NON-INFRINGEMENT. IN NO EVENT SHALL MICROCHIP
* BE LIABLE FOR ANY INCIDENTAL, SPECIAL, INDIRECT OR CONSEQUENTIAL
* DAMAGES, LOST PROFITS OR LOST DATA, HARM TO YOUR EQUIPMENT, COST OF
* PROCUREMENT OF SUBSTITUTE GOODS, TECHNOLOGY OR SERVICES, ANY CLAIMS
* BY THIRD PARTIES (INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF),
* ANY CLAIMS FOR INDEMNITY OR CONTRIBUTION, OR OTHER SIMILAR COSTS.
*
* REVISION HISTORY:
*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
* Author            Date      Comments on this revision
*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
* MR              8/10/07   First release of source file
*
*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*
* ADDITIONAL NOTES:
*
* For Use With MCP41010 10K SPI POT.
*
**********************************************************************/
//INCLUDES

	#include <p30Fxxxx.h>
	#include "p30F4012.h"
	#include <dsp.h>
	#include "stdio.h"
	#include "math.h"
	#include "CustomDSP_Functions.h"
/*****************************************************************************/
//DEFINES

	#define	SPI_MCP_POT_CS		LATEbits.LATE5

/*****************************************************************************/


void SET_SPI_MCP_POT(unsigned char VALUE)
{

	//Set Slow SPI -
	SPI1CONbits.SPRE = 7; 				//SECONDARY PRESCALE = 1:1
	SPI1CONbits.PPRE = 1; 				//PRIMARY PRESCALE = 1:16

	int	wait;
	wait = 0;
	while (SPI1STATbits.SPITBF == 1){}	//WAIT FOR BUFFER CLEAR
	SPI_MCP_POT_CS = 0;  				//Bring CS LOW
	wait++;
	wait++;
	SPI1BUF= 0x11;						//SEND CONTROL BYTE
	while (SPI1STATbits.SPITBF == 1){}	//WAIT FOR BUFFER CLEAR
	SPI1BUF= VALUE;						//SEND DATA BYTE
	while (SPI1STATbits.SPITBF == 1){}	//WAIT FOR BUFFER CLEAR
	while	(wait <= 60){wait++;}		//WAIT FOR BUFFER CLEAR
	SPI_MCP_POT_CS = 1;  				//Bring CS HIGH
	wait++;
	wait++;

	//Set Fast SPI - (For LCD Etc.)
	SPI1CONbits.SPRE = 0;				//SECONDARY PRESCALE = 1:1
	SPI1CONbits.PPRE = 3;				//PRIMARY PRESCALE = 1:16

}


/*****************************************************************************/

